#
# spec file for package python-pyscard
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname pyscard
Name:           python-pyscard
Version:        1.9.0
Release:        1.2
Summary:        Python module adding smart card support
License:        LGPL-2.0+
Group:          Development/Languages/Python
Url:            http://pyscard.sourceforge.net/
Source:         %{modname}-%{version}.tar.gz
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  pcsc-lite-devel
BuildRequires:  pkg-config
BuildRequires:  python-setuptools
BuildRequires:  swig
BuildRequires:  pkgconfig(python) >= 2.7
Requires:       pcsc-ccid
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python-pyscard consists of smartcard.scard, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows and PCSC
lite on linux and Mac OS X Tiger and Leopard, and smartcard, a higher level
python framework built on top of the raw PCSC API.

%prep
%setup -q -n %{modname}-%{version}
mv smartcard/doc .
dos2unix LICENSE

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --record=INSTALLED_FILES
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%doc ACKS ChangeLog doc LICENSE PKG-INFO README TODO
%{python_sitearch}/*

%changelog
* Fri Oct 16 2015 t.gruner@katodev.de
- Version 1.9.0 (August 2015)
  - add Python3 support (Python2 is still supported)
  - fix a lot of pylint warnings
  - smartcard/test/* replace deprecated assert calls
  - add tox support and coverage reports, run test suite on Travis
  - add Travis CI support to automatically build on Unix
  - add AppVeyor support to automatically build on Windows
  - minor bugs fixed
  - Big thank you to Alex Willmer for his work on pyscard
- Version 1.7.0 (June 2015)
  - PCSCCardConnection: Fix a problem with mode=SCARD_SHARE_DIRECT
  - add support of cygwin as a build platform
  - Fix a problem with Windows Remote Desktop
  - Switch from distutils to setuptools
  - dropped support for Python 2.5 and earlier (Alex Willmer)
  - dropped support for OS X 10.5 (Leopard) and earlier (Alex Willmer)
  - minor bugs fixed
* Thu Jul 16 2015 t.gruner@katodev.de
- move changelog to a file
* Sat Jan 11 2014 pedro@pgalves - 1.6.16
- added support for windows 64bit amd64 (Jean-Daniel Aussel)
- support python "new" classes (derive classes from object) (Ludovic Rousseau from chrysn feature request ID 3110077)
- fixed Reader.__eq__() (Ludovic Rousseau from Bernard Paulus bug ID 3418113)
- fixed extended APDU transmit buffer too short by 2 (Jean-Daniel Aussel from bugs ID 2914636 and 3106761)
- make Card and Reader objects hashable (Jean-Daniel Aussel from Hans-Peter Jansen feature request and patch)
- convert the user guide to python-Sphinx
* Fri May 27 2011 hpj@urpla.net - 1.6.14
- update to 1.6.14 svn 529
* Wed May 25 2011 hpj@urpla.net - 1.6.12
- add docs
* Wed May 25 2011 hpj@urpla.net - 1.6.12
- initial version
